日々の記録簿

日々のできごとの記録

日記

WordPressの投稿一覧で【この投稿タイプの投稿を編集する権限がありません】と表示される

投稿日:

その他、【プラグインの管理画面にアクセスできない】【ファイルをアップロードできない(この親ディレクトリのアクセス権はサーバーによる書き込みを許可していますか?)】等のエラー表示がでていました。

一方で、投稿記事は正常に表示されているし、プラグイン自体は正常に動作しているので、何が原因なのかわからず、しばらく悩みました。WordPressをダウングレードしてみたり、パーミッションを変えてみたり・・・。

結論から言うと、こちらのスレッドが解決策になりました。

Apache 2.4.26 でProxyFCGIBackendType Directive が追加されたのが原因とのこと。リンク先のコメントを頼りに、
/etc/httpd/conf/httpd.conf に、ProxyFCGIBackendType GENERIC を追記すると正常動作に戻りました。

スポンサーリンク

スポンサーリンク

-日記

執筆者:


comment

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

関連記事

vim-r-pluginの導入方法

vimからRを使う、vim-r-pluginの紹介。 まあ、vimにこだわりがないなら、RStudio使ったほうが幸せになれると思います。 環境は、Arch Linuxです。 インストール vim-r …

perl 5.22とlogwatch

perl 5.22にアップデートしたところ、logwatchに”Unescaped left brace in regex is deprecated, passed through in …

kernel 4.0.1-1で、Vmware Playerが起動しない

Arch Linuxでカーネルを4.0.1-1にアップデートしたら、Vmware Playerが起動しませんでした。 エラーを見ると、 GCC GNU C Compiler (gcc) version …

xinitrcの書き方

systemdが226にアップデートされて以降、gnome 3で妙なことが起こるようになりました。具体的には、geditやterminalが起動しないという現象です。 gdmを使ってログインすると問題 …

Multivariate Regression Analysis に関するメモ

Multivariate Regression Analysis (多変量回帰分析)に関するメモです。 多変量回帰にもいろいろあるようですが、ここでは「独立変数は同じだが従属変数が複数あるケース」を想 …